LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 01-03-2015, 01:31 PM   #1
umbloaded
Member
 
Registered: Apr 2013
Posts: 38

Rep: Reputation: Disabled
hplip can't find libusb support


I'm trying to compile hplip but it stops in
Code:
checking for usb_init in -lusb... no
configure: error: cannot find libusb support
libusb and libusb-dev are both installed and I'm on Linux Mint 64 bit

Thanks
 
Old 01-03-2015, 01:53 PM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2023 Fedora38 + 50+ other Linux OS, for test only.
Posts: 17,511

Rep: Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641
"libusb-dev" is version 0.1.12 :
I.e. the old version for old applications.

Please install `libusb-1.0-0-devī : Version 1.0.17 .
 
Old 01-03-2015, 02:49 PM   #3
umbloaded
Member
 
Registered: Apr 2013
Posts: 38

Original Poster
Rep: Reputation: Disabled
Thanks

Last edited by umbloaded; 01-03-2015 at 02:50 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
configure: error: cannot find libusb support install hplip-3.9.8 redhatwannabe Linux - Enterprise 9 10-26-2022 07:31 PM
libusb is installed but compiling hplip it tells me it's not available! xdunlapx Linux - Software 2 05-31-2012 06:41 AM
When will libusb plan to support USB 3.0? jiapei100 Linux - Software 2 05-01-2011 05:18 PM
Slackware 12.x HPLIP support mostlyharmless Slackware 33 04-18-2009 02:16 PM
configure: error: cannot find libusb support ??? pwhitey86 Linux - Newbie 1 03-29-2006 06:38 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 06:47 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration